summaryrefslogtreecommitdiff
path: root/dev-python/botocore
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-12 06:11:19 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-08-12 06:11:19 +0000
commitf3095ffbe2ede5197a4912aef9d03c2ea284376f (patch)
treee56928a2c61b150195732622b76a96cd40eeb109 /dev-python/botocore
parent9b5301bb92ad94bdc782f8c22b794320dd9f8b5e (diff)
downloadbaldeagleos-repo-f3095ffbe2ede5197a4912aef9d03c2ea284376f.tar.gz
baldeagleos-repo-f3095ffbe2ede5197a4912aef9d03c2ea284376f.tar.xz
baldeagleos-repo-f3095ffbe2ede5197a4912aef9d03c2ea284376f.zip
Adding metadata
Diffstat (limited to 'dev-python/botocore')
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.31.15.ebuild2
-rw-r--r--dev-python/botocore/botocore-1.31.25.ebuild72
3 files changed, 74 insertions, 1 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index ab4a3fc27eba..e5e8b4c2ba5f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -12,5 +12,6 @@ DIST botocore-1.31.21.gh.tar.gz 11852848 BLAKE2B ccdd57fdb927335ac2b5d2f56946e49
DIST botocore-1.31.22.gh.tar.gz 11858266 BLAKE2B a4eb898f7e562b692592171ab239550995ab6bf472cd5d98d5f98b412b050f18610ec61db58367d0cfec28d77f973f0200d5b13a88ea5bf66e5d41a6a254ccdb SHA512 fe66dd19e38ed98449f76e921ee538132a1e8a2f1452b6a7e88175901a1275e467faac4f1ec825854b6f8e799f4a54d2bebe4a52256edbdce3004944b2c6bd1e
DIST botocore-1.31.23.gh.tar.gz 11859889 BLAKE2B d183c514f61f6384bd535e284d58dd4e11df7d33948256baed19eb21908cba429a54c4e2aa2640ab550df2803ead7c33489028231695ec0effa660dd9827de2d SHA512 b6eecc7ff1390e89290c5c09a905c89a6093dc0571dbbb3b38c018f70a1ee177dd63a70900f12cadd9926a2e9d645cd3cfef78d5424a1437d123e07ccaff7c64
DIST botocore-1.31.24.gh.tar.gz 11862679 BLAKE2B 16544365d84d6624a4422f1a200f7a7b5e76aa2e4c1abc09eee42c6c815623755d03e9c3dafef98589bb35aaaa4eacb554da0302378a629abe65c1c3b47160db SHA512 78f12f93ecc9c3607ae30602fc1525833d9a7aca95934ccbb6980f05239561810f131eafa801bb07d79546df1eaac66c13fbd7db0357eb8eb71936849ab4367f
+DIST botocore-1.31.25.gh.tar.gz 11863108 BLAKE2B 2fb9bfc01ec93e1dff3459e89f7b20984efe39572320c437af3eae8becc2a871651528fd732f26524c978c5cb032f3675b313ba9b9c6e5acf76f5c5ab07fba9e SHA512 ff360e15051c958b8f9b6e04bb27e2f728bd210c6c7bfc07525d91d54b1ba8be5738e3434c651b61c5774c0b9b4252abaac788274bd56ff10e782efea32b6dd6
DIST botocore-1.31.3.gh.tar.gz 11769948 BLAKE2B 452c494faa430b6782685b9960cc9ea15ce3dedfe1b5343ee7bdbd7544e108bbfc7bb58d527419b5dc5f4077dd806752eec927196b82ac286903992fef339e52 SHA512 0f2853c14d7695ea4eeacea6fed93e77436df143bd0b9bec967490eb88e3d6531c916dca91c1a3bde4b57253d77acabe2413acde4d1473d01e15ef69b45621e0
DIST botocore-1.31.9.gh.tar.gz 11785638 BLAKE2B 23f2c010f98b5ca8414c9a031524b1cb7d75366bf84d34df980ef4085a73bc62643cca5255519f891f7a9468abbf0d97adddf6684c3c0a751b0f9f390122c19d SHA512 b2bf0089a81c5389d86c9f7b2545358f23a1219d7e5bf152285f58293a171210b46c22c814ab3f8da460a2acbdd5127193fa7a2e19a021db511f9d08931037bf
diff --git a/dev-python/botocore/botocore-1.31.15.ebuild b/dev-python/botocore/botocore-1.31.15.ebuild
index 4bc7f657ecb8..fd7a3532a61c 100644
--- a/dev-python/botocore/botocore-1.31.15.ebuild
+++ b/dev-python/botocore/botocore-1.31.15.ebuild
@@ -24,7 +24,7 @@ else
https://github.com/boto/botocore/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+ KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
diff --git a/dev-python/botocore/botocore-1.31.25.ebuild b/dev-python/botocore/botocore-1.31.25.ebuild
new file mode 100644
index 000000000000..4bc7f657ecb8
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.25.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}